org.eclipse.jetty.annotations

## Class AbstractDiscoverableAnnotationHandler

- java.lang.Object
- - org.eclipse.jetty.annotations.AbstractDiscoverableAnnotationHandler

All Implemented Interfaces:
  AnnotationParser.DiscoverableAnnotationHandler, AnnotationParser.Handler

Direct Known Subclasses:
  WebFilterAnnotationHandler, WebListenerAnnotationHandler, WebServletAnnotationHandler

    public abstract class AbstractDiscoverableAnnotationHandler
    extends Object
    implements AnnotationParser.DiscoverableAnnotationHandler

DiscoverableAnnotationHandler

### Field Summary

Fields
`protected List<DiscoveredAnnotation>` `_annotations`
`protected WebAppContext` `_context`
`protected Resource` `_resource`

### Constructor Summary

Constructors
Constructor and Description
`AbstractDiscoverableAnnotationHandler(WebAppContext context)`
`AbstractDiscoverableAnnotationHandler(WebAppContext context, List<DiscoveredAnnotation> list)`

### Method Summary

Methods
`void` `addAnnotation(DiscoveredAnnotation a)`
`List<DiscoveredAnnotation>` `getAnnotationList()`
`Resource` `getResource()`
`void` `resetList()`
`void` `setResource(Resource resource)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.jetty.annotations.AnnotationParser.DiscoverableAnnotationHandler

`getAnnotationName, handleClass, handleField, handleMethod`

### Field Detail

#### _context

    protected WebAppContext _context

#### _annotations

    protected List<DiscoveredAnnotation> _annotations

#### _resource

    protected Resource _resource

### Constructor Detail

#### AbstractDiscoverableAnnotationHandler

    public AbstractDiscoverableAnnotationHandler(WebAppContext context)

#### AbstractDiscoverableAnnotationHandler

    public AbstractDiscoverableAnnotationHandler(WebAppContext context,
                                         List<DiscoveredAnnotation> list)

### Method Detail

#### getResource

    public Resource getResource()

#### setResource

    public void setResource(Resource resource)

#### getAnnotationList

    public List<DiscoveredAnnotation> getAnnotationList()

#### resetList

    public void resetList()

#### addAnnotation

    public void addAnnotation(DiscoveredAnnotation a)